﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.ActiveReports.Web.Controls;

namespace AR_CostumizeFlashViewer_Export
{
    public partial class _default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack)
            {
                return;
            }

            CustomizeToolBar();
        }

        private void CustomizeToolBar()
        {
            //设置显示语言版本为中文
            this.WebViewer1.FlashViewerOptions.ResourceLocale = "zh_CN";

            //创建自定义工具条按钮
            ToolButton btnPDF = Tool.CreateButton("PDF");
            btnPDF.ToolTip = "导出到 PDF";
            btnPDF.Caption = "导出到 PDF";

            //设置点击按钮执行的服务
            btnPDF.ClickNavigateTo = "ARExport.ashx?exporttype=PDF";

            //添加按钮到 FlashViewer 中
            this.WebViewer1.FlashViewerToolBar.Tools.Add(btnPDF);

            ToolButton btnWord = Tool.CreateButton("Word");
            btnWord.ToolTip = "导出到 Word";
            btnWord.Caption = "导出到 Word";
            btnWord.ClickNavigateTo = "ARExport.ashx?exporttype=Word";
            this.WebViewer1.FlashViewerToolBar.Tools.Add(btnWord);

            ToolButton btnExcel = Tool.CreateButton("Excel");
            btnExcel.ToolTip = "导出到 Excel";
            btnExcel.Caption = "导出到 Excel";
            btnExcel.ClickNavigateTo = "ARExport.ashx?exporttype=Excel";
            this.WebViewer1.FlashViewerToolBar.Tools.Add(btnExcel);
        }
    }
}